Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
documentation [2019/08/08 07:28]
xguimard [Packaged versions]
documentation [2019/10/14 12:07] (current)
xguimard [Packaged versions]
Line 44: Line 44:
 <note tip>​Following Debian Policy, LLNG packages are never upgraded in published distributions. However, security patches are backported by maintenance teams.</​note>​ <note tip>​Following Debian Policy, LLNG packages are never upgraded in published distributions. However, security patches are backported by maintenance teams.</​note>​
  
-^  Debian dist  ^^  LLNG version ​ ^  Maintenance ​ ^  LTS Limit  ^  [[https://​wiki.debian.org/​LTS/​Extended|Extended LTS]] Limit  ^ +^  Debian dist  ^^  LLNG version ​ ​^ ​ Secured ​ ​^ ​ Maintenance ​ ^  LTS Limit  ^  [[https://​wiki.debian.org/​LTS/​Extended|Extended LTS]] Limit  ^ 
-|  **6** | Squeeze |  0.9.4.1 ​ |  None  |  February 2016  |  April 2019  | +|  **6** | Squeeze |  0.9.4.1 ​ ​| ​ {{:​icons:​maybe.png?​20&​nolink|No known vulnerability}} ​ ​| ​ None  |  February 2016  |  April 2019  | 
-|  **7** | Wheezy ​ |  [[documentation:​1.1:​|1.1.2]] ​ |  None (([[https://​wiki.debian.org/​LTS/​Extended|Extended LTS]] available))  |  May 2018  |  Probably 2021  | +|  **7** | Wheezy ​ |  [[documentation:​1.1:​|1.1.2]] ​ ​| ​ {{:​icons:​maybe.png?​20&​nolink|No known vulnerability}} ​ ​| ​ None ((Possible ​[[https://​wiki.debian.org/​LTS/​Extended|Extended LTS]])) ​ |  May 2018  |  Probably 2021  | 
-|  **8** | Jessie ​ |  [[documentation:​1.3:​|1.3.3]] ​ |  [[https://​www.debian.org/​lts/​|Debian LTS Team]] ​ |  June 2020  | +|  **8** | Jessie ​ |  [[documentation:​1.3:​|1.3.3]] ​ ​| ​ {{:​icons:​clean.png?​20&​nolink|}} ​ ​| ​ [[https://​www.debian.org/​lts/​|Debian LTS Team]] ​ |  June 2020  | 
-|  **9** | Stretch ​ |  [[documentation:​1.9:​|1.9.7]] ​ |  [[https://​security-team.debian.org/​|Debian Security Team]] ​ |  June 2022  | +|  **9** | Stretch ​ |  [[documentation:​1.9:​|1.9.7]] ​ ​| ​ {{:​icons:​clean.png?​20&​nolink|}} ​ ​| ​ [[https://​security-team.debian.org/​|Debian Security Team]] ​ |  June 2022  | 
-|  | Stretch-backports ​ |  [[documentation:​2.0:​|2.0.2]] ​ |  None  |  June 2019 ((Maintained by [[team|LLNG Team]] until Buster release)) ​ | +|  | Stretch-backports ​ |  [[documentation:​2.0:​|2.0.2]] ​ ​| ​ {{:​icons:​bad.png?​20&​nolink|CVE-2019-12046,​ CVE-2019-13031,​ CVE-2019-15941}} ​ ​| ​ None  |  June 2019 ((Maintained by [[team|LLNG Team]] until Buster release)) ​ | 
-|  | Stretch-backports-sloppy ​ |  [[documentation:​2.0:​|2.0.2]] or later  |  ​None ((may be updated by [[team|LLNG Team]])) ​ | +|  | Stretch-backports-sloppy ​ |  [[documentation:​2.0:​|2.0.6]] or later  |  ​{{:​icons:​clean.png?​20&​nolink|}} ​ |  [[team|LLNG Team]], "best effort" ​((updated by [[team|LLNG Team]] ​until dependencies are compatible))  | 
-|  **10** | Buster ​ |  [[documentation:​2.0:​|2.0.2]] ​ |  [[https://​security-team.debian.org/​|Debian Security Team]] ​ |  Probably July 2024  | +|  **10** | Buster ​ |  [[documentation:​2.0:​|2.0.2]] ​ ​| ​ {{:​icons:​clean.png?​20&​nolink|}} ​ ​| ​ [[https://​security-team.debian.org/​|Debian Security Team]] ​ |  Probably July 2024  | 
-|  | Buster-backports ​ |  Latest ((few days after release)) ​ |  [[team|LLNG Team]] ​ |  Until next Debian release ((around 2021)) ​ |+|  | Buster-backports ​ |  Latest ((few days after release)) ​ ​| ​ {{:​icons:​clean.png?​20&​nolink|}} ​ ​| ​ [[team|LLNG Team]] ​ |  Until next Debian release ((around 2021)) ​ |
  
 See [[https://​tracker.debian.org/​pkg/​lemonldap-ng|Debian Package Tracker]] for more. See [[https://​tracker.debian.org/​pkg/​lemonldap-ng|Debian Package Tracker]] for more.
Line 60: Line 60:
 <note warning>​Ubuntu version are included in "​universe"​ branch((Ubuntu universe/​multiverse branches are community maintained //(so not maintained by Canonical)//,​ but in fact nobody considers LLNG security issues. See [[https://​bugs.launchpad.net/​ubuntu/​+source/​lemonldap-ng/​+bug/​1829016|this issue]] for example)), so not really security maintained. Prefer to use our repositories or Debian ones</​note>​ <note warning>​Ubuntu version are included in "​universe"​ branch((Ubuntu universe/​multiverse branches are community maintained //(so not maintained by Canonical)//,​ but in fact nobody considers LLNG security issues. See [[https://​bugs.launchpad.net/​ubuntu/​+source/​lemonldap-ng/​+bug/​1829016|this issue]] for example)), so not really security maintained. Prefer to use our repositories or Debian ones</​note>​
  
-^ Ubuntu version ^ LLNG version ^ Maintenance ^ +^ Ubuntu version ^ LLNG version ​^ Secured ​^ Maintenance ^ 
-| 12.04 Precise | [[documentation:​1.1:​|1.1.2]] | None | +| 12.04 Precise | [[documentation:​1.1:​|1.1.2]] ​| {{:​icons:​maybe.png?​20&​nolink|No known vulnerability}} ​| None | 
-| 14.04 Trusty | [[documentation:​1.2:​|1.2.5]] | None | +| 14.04 Trusty | [[documentation:​1.2:​|1.2.5]] ​| {{:​icons:​maybe.png?​20&​nolink|No known vulnerability}} ​| None | 
-| 16.04 Xenial ((LTS)) | [[documentation:​1.4:​|1.4.6]] | None | +| 16.04 Xenial ((LTS)) | [[documentation:​1.4:​|1.4.6]] ​| {{:​icons:​bad.png?​20&​nolink|CVE-2019-12046,​ CVE-2019-13031}} ​| None | 
-| 18.04 Bionic | [[documentation:​1.9:​|1.9.16]] | None | +| 18.04 Bionic | [[documentation:​1.9:​|1.9.16]] ​| {{:​icons:​bad.png?​20&​nolink|CVE-2019-12046,​ CVE-2019-13031}} ​| None | 
-| 18.10 Cosmic ((LTS)) | [[documentation:​1.9:​|1.9.17]] | None | +| 18.10 Cosmic ((LTS)) | [[documentation:​1.9:​|1.9.17]] ​| {{:​icons:​bad.png?​20&​nolink|CVE-2019-12046,​ CVE-2019-13031}} ​| None | 
-| 19.04 Disco  | [[documentation:​2.0:​|2.0.2]] | None |+| 19.04 Disco  | [[documentation:​2.0:​|2.0.2]] ​| {{:​icons:​bad.png?​20&​nolink|CVE-2019-12046,​ CVE-2019-13031,​ CVE-2019-15941}} ​| None |
 ===== Bug report ===== ===== Bug report =====